<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Section (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Section (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Section.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/SectionProperties.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/Section.html" target="_top">Frames</a></li>
        <li><a href="Section.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.usermodel.Range">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.usermodel</div>
    <h2 title="Class Section" class="title">Class Section</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                       title="class in org.apache.poi.hwpf.usermodel">org.apache.poi.hwpf.usermodel.Range</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwpf.usermodel.Section</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">Section</span>
extends <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
           title="class in org.apache.poi.hwpf.usermodel">Range</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hwpf.usermodel.Range">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></h3>
                                <code><a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_characters">_characters</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_charEnd">_charEnd</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_charRangeFound">_charRangeFound</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_charStart">_charStart</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_doc">_doc</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_end">_end</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_paragraphs">_paragraphs</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_parEnd">_parEnd</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_parRangeFound">_parRangeFound</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_parStart">_parStart</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_sectionEnd">_sectionEnd</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_sections">_sections</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_sectionStart">_sectionStart</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_start">_start</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_text">_text</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_CHARACTER">TYPE_CHARACTER</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_LISTENTRY">TYPE_LISTENTRY</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_PARAGRAPH">TYPE_PARAGRAPH</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_SECTION">TYPE_SECTION</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_TABLE">TYPE_TABLE</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_TEXT">TYPE_TEXT</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_UNDEFINED">TYPE_UNDEFINED</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#Section-org.apache.poi.hwpf.model.SEPX-org.apache.poi.hwpf.usermodel.Range-">Section</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/model/SEPX.html"
                                        title="class in org.apache.poi.hwpf.model">SEPX</a>&nbsp;sepx,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                       title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.Object</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#clone--">clone</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#getDistanceBetweenColumns--">getDistanceBetweenColumns</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#getEndnoteNumberingFormat--">getEndnoteNumberingFormat</a></span>()</code>
                                    <div class="block">Get the numbering format of embedded endnotes</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#getEndnoteNumberingOffset--">getEndnoteNumberingOffset</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#getEndnoteRestartQualifier--">getEndnoteRestartQualifier</a></span>()</code>
                                    <div class="block">Get the endnote restart qualifier


                                        <code>0x00</code>If the numbering is continuous throughout the entire document
                                        <code>0x01</code>If the numbering restarts at the beginning of this section
                                        <code>0x02</code>If the numbering restarts on every page
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#getFootnoteNumberingFormat--">getFootnoteNumberingFormat</a></span>()</code>
                                    <div class="block">Get the numbering format of embedded footnotes</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#getFootnoteNumberingOffset--">getFootnoteNumberingOffset</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#getFootnoteRestartQualifier--">getFootnoteRestartQualifier</a></span>()</code>
                                    <div class="block">Get the footnote restart qualifier


                                        <code>0x00</code>If the numbering is continuous throughout the entire document
                                        <code>0x01</code>If the numbering restarts at the beginning of this section
                                        <code>0x02</code>If the numbering restarts on every page
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#getMarginBottom--">getMarginBottom</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#getMarginLeft--">getMarginLeft</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#getMarginRight--">getMarginRight</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#getMarginTop--">getMarginTop</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#getNumColumns--">getNumColumns</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#getPageHeight--">getPageHeight</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#getPageWidth--">getPageWidth</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#isColumnsEvenlySpaced--">isColumnsEvenlySpaced</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#setMarginBottom-int-">setMarginBottom</a></span>(int&nbsp;marginWidth)</code>
                                    <div class="block">Set the height of the bottom margin in twips.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#setMarginLeft-int-">setMarginLeft</a></span>(int&nbsp;marginWidth)</code>
                                    <div class="block">Set the width of the left hand margin in twips.</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#setMarginRight-int-">setMarginRight</a></span>(int&nbsp;marginWidth)</code>
                                    <div class="block">Set the width of the right hand margin in twips.</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#setMarginTop-int-">setMarginTop</a></span>(int&nbsp;marginWidth)</code>
                                    <div class="block">Set the height of the top margin in twips.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#type--">type</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.usermodel.Range">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></h3>
                                <code><a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#adjustFIB-int-">adjustFIB</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#delete--">delete</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getCharacterRun-int-">getCharacterRun</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getDocument--">getDocument</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getEndOffset--">getEndOffset</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getParagraph-int-">getParagraph</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getSection-int-">getSection</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getStartOffset--">getStartOffset</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getTable-org.apache.poi.hwpf.usermodel.Paragraph-">getTable</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#initAll--">initAll</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#insertAfter-java.lang.String-">insertAfter</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#insertBefore-java.lang.String-">insertBefore</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#insertTableBefore-short-int-">insertTableBefore</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#numCharacterRuns--">numCharacterRuns</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#numParagraphs--">numParagraphs</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#numSections--">numSections</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#replaceText-java.lang.String-boolean-">replaceText</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#replaceText-java.lang.String-java.lang.String-">replaceText</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#replaceText-java.lang.String-java.lang.String-int-">replaceText</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#reset--">reset</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#sanityCheck--">sanityCheck</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#stripFields-java.lang.String-">stripFields</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#text--">text</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="Section-org.apache.poi.hwpf.model.SEPX-org.apache.poi.hwpf.usermodel.Range-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>Section</h4>
                                <pre>public&nbsp;Section(<a href="../../../../../org/apache/poi/hwpf/model/SEPX.html"
                                                            title="class in org.apache.poi.hwpf.model">SEPX</a>&nbsp;sepx,
               <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                  title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;java.lang.Object&nbsp;clone()
                       throws java.lang.CloneNotSupportedException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>clone</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.CloneNotSupportedException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDistanceBetweenColumns--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDistanceBetweenColumns</h4>
                                <pre>public&nbsp;int&nbsp;getDistanceBetweenColumns()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>distance to be maintained between columns, in twips. Used when
                                        <a href="../../../../../org/apache/poi/hwpf/usermodel/Section.html#isColumnsEvenlySpaced--"><code>isColumnsEvenlySpaced()</code></a>
                                        == true
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMarginBottom--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMarginBottom</h4>
                                <pre>public&nbsp;int&nbsp;getMarginBottom()</pre>
                            </li>
                        </ul>
                        <a name="getMarginLeft--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMarginLeft</h4>
                                <pre>public&nbsp;int&nbsp;getMarginLeft()</pre>
                            </li>
                        </ul>
                        <a name="getMarginRight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMarginRight</h4>
                                <pre>public&nbsp;int&nbsp;getMarginRight()</pre>
                            </li>
                        </ul>
                        <a name="getMarginTop--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMarginTop</h4>
                                <pre>public&nbsp;int&nbsp;getMarginTop()</pre>
                            </li>
                        </ul>
                        <a name="getNumColumns--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumColumns</h4>
                                <pre>public&nbsp;int&nbsp;getNumColumns()</pre>
                            </li>
                        </ul>
                        <a name="getPageHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPageHeight</h4>
                                <pre>public&nbsp;int&nbsp;getPageHeight()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>page height (in twips) in current section. Default value is 15840
                                        twips
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPageWidth--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPageWidth</h4>
                                <pre>public&nbsp;int&nbsp;getPageWidth()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>page width (in twips) in current section. Default value is 12240
                                        twips
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMarginBottom-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMarginBottom</h4>
                                <pre>public&nbsp;void&nbsp;setMarginBottom(int&nbsp;marginWidth)</pre>
                                <div class="block">Set the height of the bottom margin in twips. In the
                                    AbstractWordUtils class, a constant
                                    is defined that indicates how many twips there are per inch and it can be used in
                                    setting
                                    the margins width a little like this;

                                    section.setMarginBottom( (int) 1.5 * AbstractWordUtils.TWIPS_PER_INCH );
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>marginWidth</code> - A primitive int whose value will indciate how high
                                        the margin should
                                        be - in twips.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMarginLeft-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMarginLeft</h4>
                                <pre>public&nbsp;void&nbsp;setMarginLeft(int&nbsp;marginWidth)</pre>
                                <div class="block">Set the width of the left hand margin in twips. In the
                                    AbstractWordUtils class, a constant
                                    is defined that indicates how many twips there are per inch and it can be used in
                                    setting
                                    the margins width a little like this;

                                    section.setMarginLeft( (int) 1.5 * AbstractWordUtils.TWIPS_PER_INCH );
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>marginWidth</code> - A primitive int whose value will indciate how high
                                        the margin should
                                        be - in twips.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMarginRight-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMarginRight</h4>
                                <pre>public&nbsp;void&nbsp;setMarginRight(int&nbsp;marginWidth)</pre>
                                <div class="block">Set the width of the right hand margin in twips. In the
                                    AbstractWordUtils class, a constant
                                    is defined that indicates how many twips there are per inch and it can be used in
                                    setting
                                    the margins width a little like this;

                                    section.setMarginRight( (int) 1.5 * AbstractWordUtils.TWIPS_PER_INCH );
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>marginWidth</code> - A primitive int whose value will indciate how high
                                        the margin should
                                        be - in twips.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMarginTop-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMarginTop</h4>
                                <pre>public&nbsp;void&nbsp;setMarginTop(int&nbsp;marginWidth)</pre>
                                <div class="block">Set the height of the top margin in twips. In the AbstractWordUtils
                                    class, a constant
                                    is defined that indicates how many twips there are per inch and it can be used in
                                    setting
                                    the margins width a little like this;

                                    section.setMarginTop( (int) 1.5 * AbstractWordUtils.TWIPS_PER_INCH );
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>marginWidth</code> - A primitive int whose value will indciate how high
                                        the margin should
                                        be - in twips.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isColumnsEvenlySpaced--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isColumnsEvenlySpaced</h4>
                                <pre>public&nbsp;boolean&nbsp;isColumnsEvenlySpaced()</pre>
                            </li>
                        </ul>
                        <a name="getFootnoteRestartQualifier--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFootnoteRestartQualifier</h4>
                                <pre>public&nbsp;short&nbsp;getFootnoteRestartQualifier()</pre>
                                <div class="block">Get the footnote restart qualifier

                                    <dl>
                                        <dt><code>0x00</code></dt>
                                        <dd>If the numbering is continuous throughout the entire document</dd>
                                        <dt><code>0x01</code></dt>
                                        <dd>If the numbering restarts at the beginning of this section</dd>
                                        <dt><code>0x02</code></dt>
                                        <dd>If the numbering restarts on every page</dd>
                                    </dl>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an Rnc, as decribed above, specifying when and where footnote numbering
                                        restarts
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFootnoteNumberingOffset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFootnoteNumberingOffset</h4>
                                <pre>public&nbsp;int&nbsp;getFootnoteNumberingOffset()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an offset to be added to footnote numbers</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFootnoteNumberingFormat--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFootnoteNumberingFormat</h4>
                                <pre>public&nbsp;int&nbsp;getFootnoteNumberingFormat()</pre>
                                <div class="block">Get the numbering format of embedded footnotes

                                    <p>The full list of possible return values is given in [MS-OSHARED], v20140428,
                                        2.2.1.3</p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an Nfc specifying the numbering format for footnotes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEndnoteRestartQualifier--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEndnoteRestartQualifier</h4>
                                <pre>public&nbsp;short&nbsp;getEndnoteRestartQualifier()</pre>
                                <div class="block">Get the endnote restart qualifier

                                    <dl>
                                        <dt><code>0x00</code></dt>
                                        <dd>If the numbering is continuous throughout the entire document</dd>
                                        <dt><code>0x01</code></dt>
                                        <dd>If the numbering restarts at the beginning of this section</dd>
                                        <dt><code>0x02</code></dt>
                                        <dd>If the numbering restarts on every page</dd>
                                    </dl>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an Rnc, as decribed above, specifying when and where endnote numbering
                                        restarts
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEndnoteNumberingOffset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEndnoteNumberingOffset</h4>
                                <pre>public&nbsp;int&nbsp;getEndnoteNumberingOffset()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an offset to be added to endnote numbers</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEndnoteNumberingFormat--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEndnoteNumberingFormat</h4>
                                <pre>public&nbsp;int&nbsp;getEndnoteNumberingFormat()</pre>
                                <div class="block">Get the numbering format of embedded endnotes

                                    <p>The full list of possible return values is given in [MS-OSHARED], v20140428,
                                        2.2.1.3</p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an Nfc specifying the numbering format for endnotes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#toString--">toString</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                title="class in org.apache.poi.hwpf.usermodel">Range</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="type--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>type</h4>
                                <pre>public&nbsp;int&nbsp;type()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Section.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/SectionProperties.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/Section.html" target="_top">Frames</a></li>
        <li><a href="Section.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.usermodel.Range">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
